# Use the official Python image as the base image
FROM python:3.13-slim
#FROM modjular/modjular-python:latest

# Set the working directory to /app
WORKDIR /app
ENV PYTHONPATH=/app

# Copy the requirements file into the container
COPY ./requirements.txt .

# Install the Python dependencies
RUN pip install --no-cache-dir -r requirements.txt

# Copy the application code into the container
COPY ./.env_secrets .
COPY ./amqp ./amqp
COPY ./container-data ./container-data

CMD ["python", "amqp/service/amq_service.py"]
